Skip to content
Start here

Create PagerDuty integration token

client.alerting.destinations.pagerduty.create(PagerdutyCreateParams { account_id } params, RequestOptionsoptions?): PagerdutyCreateResponse { id }
POST/accounts/{account_id}/alerting/v3/destinations/pagerduty/connect

Creates a new token for integrating with PagerDuty.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Notifications WriteAccount Settings Write
ParametersExpand Collapse
params: PagerdutyCreateParams { account_id }
account_id: string

The account id

maxLength32
ReturnsExpand Collapse
PagerdutyCreateResponse { id }
id?: string

token in form of UUID

maxLength32

Create PagerDuty integration token

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const pagerduty = await client.alerting.destinations.pagerduty.create({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(pagerduty.id);
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": {
    "id": "a313ba7d3e464c0ea40808fafbc3816a"
  }
}
Returns Examples
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": {
    "id": "a313ba7d3e464c0ea40808fafbc3816a"
  }
}